# `abacusai.api_key`

## Module Contents

### Classes

`ApiKey` | An API Key to authenticate requests to the Abacus.AI API

class abacusai.api_key.ApiKey(client, apiKeyId=None, apiKey=None, tag=None, createdAt=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  An API Key to authenticate requests to the Abacus.AI API

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - apiKeyId (str) – The unique ID for the API key

    - apiKey (str) – The unique API key scoped to a specific organization. Value will be partially obscured.

    - tag (str) – A user-friendly tag for the API key.

    - createdAt (str) – The timestamp when the API key was created.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict

  delete()

    Delete a specified API key.

    Parameters:

      api_key_id (str) – The ID of the API key to delete.